Subject: Re: [TLS] TLS 1.2 Finished label spec.

From: Eric Rescorla <[email-masked]>
Date: Thu, 05 Jun 2008 10:11:34 -0700

At Sat, 24 May 2008 17:49:09 -0700,
Eric Rescorla wrote:
> 
> At Fri, 23 May 2008 09:18:10 -0700,
> Mike wrote:
> > 
> > Is it too late to make an editorial change to the TLS 1.2
> > RFC?  I found a problem with the specification of the
> > finished_label in draft 10:
> > 
> > finished_label
> >     For Finished messages sent by the client, the string "client
> >     finished". For Finished messages sent by the server, the string
> >     "server finished".
> > 
> > The problem is that "client finished" is broken across lines;
> > that paragraph should probably be reformatted so that both
> > labels appear unbroken.
> 
> This seems like a small enough change that unless someone
> objects I'll make it as part of AUTH48.
> 
> 
> > Another problem which is less important is that the text
> > states that Certificate is the only handshake message that
> > is sent by both client and server (section 7.4), but the
> > Finished message is as well.
> 
> This as well.

Rereading the text, I don't think it says tht the certificate is
the only message sent by both, merely that it's the only one presented out of order,
which is correct

-Ekr
_______________________________________________
TLS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tls